--- title: "Get Specific User" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/get-specific-user/ description: "This API enables you to obtain the details of a specific Catalyst application user through Catalyst Authentication" last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Get the Details of a Specific User ### Description This API enables you to obtain the details of a specific [Catalyst application user](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/introduction/), by passing their `user_ID` in the request. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/project-user/{user_id} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **user_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/introduction/) of the user #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.READ ### Response Details The response will contain the details of the specific user including their identification values such as `zuid`, `user_id`, `email_id`, and their role details. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/3000000005007/project-user/671930409 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "zuid": 3171930400, "zaaid": 1019540153, "status": "ACTIVE", "user_id": 671930409, "user_type": "App User", "is_confirmed": true, "email_id": "john.w@zylker.com", "first_name": "John", "last_name": "Winchester", "created_time": "Jul 09, 2019 04:11 PM", "modified_time": "Jul 09, 2019 04:11 PM", "invited_time": "Jul 09, 2019 04:11 PM", "role_details": { "role_id": 3000000005015, "role_name": "App User" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } ``` ### SDK Documentation [Get User Details- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/get-user-details/#get-user-details-by-user-id) [Get User Details- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/get-user-details/#get-user-details-by-user-id) [Get User Details- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/get-user-details/#get-user-details-by-user-id) [Get User Details- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/authentication/get-user-details/#get-user-details-by-id)